Subject: Re: OT: firefox/linux & oldnavy.com

From: "Alan Dayley" <[email-masked]>
Date: Wed, 14 Dec 2005 13:12:02 -0700 (MST)

Josh Coffman said:
> Yeah, oldnavy.com... christmas shopping for the kids.
> Anyway, I keep having to set the UserAgent to IE for
> my wife so she can shop oldnavy.com. This is on Fedora
> Core 4 using firefox 1.5. However, I have no problem
> with it using firefox 1.5 on windows.
>
> Seems like something about the user agent request
> headers is confusing oldnavy and it doesn't recognize
> it as an acceptable browser. Anything I can do? My
> wife, wodnerful lady, just doesn't want to learn to
> change the user agent from the menu. I certainly don't
> want to set User Agent to always impersonate IE.

Yea, I ran into this also.  It's not clear from your message but
installing the User Agent Switcher extension
(https://addons.mozilla.org/extensions/moreinfo.php?id=59&application=firefox)
helps.  It makes the switching a simple menu click.

Through trial and error one night I found that oldnavy.com objects to the
"Linux" part of the user agent report.  I suppose they don't mind Firefox,
they just don't like Linux as the reported OS.

I gave them feedback several weeks ago that this is quite lame, since the
site works fine when you get past the user agent check.  No response so
far.

Alan

---------------------------------------------------
PLUG-discuss mailing list - [email-masked]
To subscribe, unsubscribe, or to change  you mail settings:
http://lists.PLUG.phoenix.az.us/mailman/listinfo/plug-discuss